OpenVDB 3.2.0

Macros
logging.h File Reference

Go to the source code of this file.

## Macros
#define | OPENVDB_LOG_INFO(message)
| Log an info message of the form '`someVar << "some text" << ...`'. More...
#define | OPENVDB_LOG_WARN(message) do { std::cerr << message << std::endl; } while (0);
| Log a warning message of the form '`someVar << "some text" << ...`'. More...
#define | OPENVDB_LOG_ERROR(message) do { std::cerr << message << std::endl; } while (0);
| Log an error message of the form '`someVar << "some text" << ...`'. More...
#define | OPENVDB_LOG_FATAL(message) do { std::cerr << message << std::endl; } while (0);
| Log a fatal error message of the form '`someVar << "some text" << ...`'. More...
#define | OPENVDB_LOG_DEBUG(message)
| In debug builds only, log a debugging message of the form '`someVar << "text" << ...`'. More...
#define | OPENVDB_LOG_DEBUG_RUNTIME(message)
| Log a debugging message in both debug and optimized builds. More...

## Macro Definition Documentation

## ◆ OPENVDB_LOG_DEBUG

#define OPENVDB_LOG_DEBUG | ( |  | message | ) |

In debug builds only, log a debugging message of the form '`someVar << "text" << ...`'.

## ◆ OPENVDB_LOG_DEBUG_RUNTIME

#define OPENVDB_LOG_DEBUG_RUNTIME | ( |  | message | ) |

Log a debugging message in both debug and optimized builds.

Warning
  Don't use this in performance-critical code.

## ◆ OPENVDB_LOG_ERROR

#define OPENVDB_LOG_ERROR | ( |  | message | ) | do { std::cerr << message << std::endl; } while (0);

Log an error message of the form '`someVar << "some text" << ...`'.

## ◆ OPENVDB_LOG_FATAL

#define OPENVDB_LOG_FATAL | ( |  | message | ) | do { std::cerr << message << std::endl; } while (0);

Log a fatal error message of the form '`someVar << "some text" << ...`'.

## ◆ OPENVDB_LOG_INFO

#define OPENVDB_LOG_INFO | ( |  | message | ) |

Log an info message of the form '`someVar << "some text" << ...`'.

## ◆ OPENVDB_LOG_WARN

#define OPENVDB_LOG_WARN | ( |  | message | ) | do { std::cerr << message << std::endl; } while (0);

Log a warning message of the form '`someVar << "some text" << ...`'.